/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Abonos;
import com.cosmodas.EntCosmos.VAbonos;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface AbonosFacadeLocal {

    void create(Abonos abonos);

    void edit(Abonos abonos);

    void remove(Abonos abonos);

    Abonos find(Object id);

    List<Abonos> findAll();

    List<Abonos> findRange(int[] range);

    int count();

    String abono_codigo_siguiente(String abono_tipo, String sucursal_ingreso);

    String reciboSiguiente(String abonoTipo, String sucursalCodigo, Date fecha);

    String ObtenerProximoRecibo(String documentoCodigo);



}
